<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2021 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize;

use _JchOptimizeVendor\Joomla\DI\Container as JoomlaContainer;
use JchOptimize\Service\ConfigurationProvider;
use JchOptimize\Service\LoggerProvider;
use JchOptimize\Service\MvcProvider;
use JchOptimize\Service\PluginProvider;

class Container extends \JchOptimize\Core\AbstractContainer
{
    public function registerPlatformProviders(JoomlaContainer $container): void
    {
        $container->registerServiceProvider(new ConfigurationProvider())->registerServiceProvider(new LoggerProvider())->registerServiceProvider(new MvcProvider())->registerServiceProvider(new PluginProvider());
    }
}
