<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Controller;

use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
use _JchOptimizeVendor\Joomla\View\HtmlView;

class Help extends AbstractController
{
    private HtmlView $view;

    public function __construct(HtmlView $view, ?Input $input = null)
    {
        $this->view = $view;
        parent::__construct($input);
    }

    public function execute()
    {
        $this->view->addData('tab', 'help');
        echo $this->view->render();
    }
}
