<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Controller;

use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
use _JchOptimizeVendor\Joomla\View\HtmlView;
use JchOptimize\Core\Admin\Icons;

class OptimizeImages extends AbstractController
{
    private HtmlView $view;

    private Icons $icons;

    public function __construct(HtmlView $view, Icons $icons, ?Input $input = null)
    {
        $this->view = $view;
        $this->icons = $icons;
        parent::__construct($input);
    }

    public function execute()
    {
        $this->view->setData(['tab' => 'optimizeimages', 'icons' => $this->icons]);
        echo $this->view->render();
    }
}
