<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2021 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Controller;

use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
use _JchOptimizeVendor\Psr\Log\LoggerAwareInterface;
use _JchOptimizeVendor\Psr\Log\LoggerAwareTrait;
use JchOptimize\Plugin\Loader;

class OrderPlugins extends AbstractController implements LoggerAwareInterface
{
    use LoggerAwareTrait;

    private Loader $loader;

    public function __construct(Loader $loader, ?Input $input = null)
    {
        $this->loader = $loader;
        parent::__construct($input, null);
    }

    public function execute()
    {
        $this->loader->orderPlugin();
        $this->logger->success(\__('Plugins ordered successfully', 'jch-optimize'));
        \wp_redirect('options-general.php?page=jch_optimize');

        exit;
    }
}
