<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2020 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Platform;

use JchOptimize\Core\Interfaces\Excludes as ExcludesInterface;

\defined('_WP_EXEC') or exit('Restricted access');
class Excludes implements ExcludesInterface
{
    /**
     * @return array|void
     */
    public static function body(string $type, string $section = 'file'): array
    {
        if ('js' == $type) {
            if ('script' == $section) {
                return [];
            }

            return ['js.stripe.com'];
        }
        if ('css' == $type) {
            return [];
        }

        return [];
    }

    public static function extensions(): string
    {
        return \JchOptimize\Platform\Paths::rewriteBaseFolder();
    }

    /**
     * @return array|void
     */
    public static function head(string $type, string $section = 'file'): array
    {
        if ('js' == $type) {
            if ('script' == $section) {
                return [];
            }

            return ['js.stripe.com'];
        }
        if ('css' == $type) {
            return [];
        }

        return [];
    }

    public static function editors(string $url): bool
    {
        return \preg_match('#/editors/#i', $url);
    }

    public static function smartCombine()
    {
        return ['wp-includes/', 'wp-content/themes/', '.'];
    }
}
